using Godot;
using System.Collections;
using System.Collections.Generic;
using Godot.Collections;

namespace Rokojori
{
  [GlobalClass,Tool]
  public partial class ScaleUp:Action
  {
    [Export]
    public Node3D[] targets;

    [Export]
    public float scaling = 1.25f;

    protected override void _OnTrigger()
    {
      targets.ForEach(
        t => 
        {
          var sc = t.Scale;

          t.Scale = sc * scaling;
        }

      );
    }
  }
}